Name:          jcoverage
Version:       1.0.5
Release:       %mkrel 3
Summary:       Java code coverage tool
Group:         Development/Java
URL:           http://www.jcoverage.org/
Source0:       http://www.jcoverage.org/download/jcoverage-%{version}-src.zip
Source1:       jcoverage.pdf
Patch0:        jcoverage-1.0.5-build_xml.patch
Patch1:        jcoverage-1.0.5-no-classpath-in-manifest.patch
License:       GPL
BuildRequires: ant
BuildRequires: bcel
BuildRequires: gnu-getopt
BuildRequires: jakarta-oro
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
BuildRequires: liblog4j-java
# doc
BuildRequires: batik
BuildRequires: docbook-style-dsssl
BuildRequires: docbook-utils
BuildRequires: jadetex

Requires:      bcel
Requires:      gnu-getopt
Requires:      jakarta-oro
Requires:      jpackage-utils
Requires:      liblog4j-java
# TODO
# Polygenix Agile Test polygenix 1.0.2
BuildArch:     noarch

%description
JCoverage is a free, simple and easy-to-use tool that will complement your existing Java development practices.
It helps you discover exactly where your software is being tested and, more importantly, where it isn't.
JCoverage will help you to view your software from a number of levels, from the entire system right down to
an individual line of code.

%package eclipse
Group:         Development/Java
Summary:       %{name} plugins for eclipse
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description eclipse
JCoverage Java code coverage tool.

This package contains %{name} plugins for eclipse.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
JCoverage Java code coverage tool.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
JCoverage Java code coverage tool.

This package contains documentation for %{name}.

%prep

%setup -q -n jcoverage-%{version}

chmod -R go=u-w *

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

cp build.xml build.xml.old
cp build.properties build.properties.old

%patch0 -p0
%patch1 -p0


%build

export CLASSPATH=$(build-classpath bcel gnu-getopt junit log4j oro batik-all):build/classes
ant -Dbuild.sysclasspath=only compile jar javadoc doc
# FIXME Error: `pdftex -ini  -jobname=pdfjadetex -progname=pdfjadetex *pdfjadetex.ini' failed
%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -pm 644 jcoverage.jar \
  %{buildroot}%{_javadir}/jcoverage-%{version}.jar
install -pm 644 build/eclipse/jcoverage.jar \
  %{buildroot}%{_javadir}/eclipse-jcoverage-%{version}.jar
install -pm 644 build/eclipse/jcoverage-main.jar \
  %{buildroot}%{_javadir}/eclipse-jcoverage-main-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jcoverage-%{version}
cp -pr build/api/* %{buildroot}%{_javadocdir}/jcoverage-%{version}
ln -s jcoverage-%{version} %{buildroot}%{_javadocdir}/jcoverage

cp -pr %{SOURCE1} .

%files
%{_javadir}/jcoverage-%{version}.jar
%{_javadir}/jcoverage.jar
%doc CHANGELOG CONTRIBUTORS COPYING COPYRIGHT README

%files eclipse
%{_javadir}/eclipse-jcoverage-%{version}.jar
%{_javadir}/eclipse-jcoverage.jar
%{_javadir}/eclipse-jcoverage-main-%{version}.jar
%{_javadir}/eclipse-jcoverage-main.jar

%files javadoc
%{_javadocdir}/jcoverage-%{version}
%{_javadocdir}/jcoverage

%files manual
%doc jcoverage.pdf
#doc doc/jcoverage/jcoverage.pdf



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.5-3.mga4
+ Revision: 506363
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 355269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 02 2011 dmorgan <dmorgan> 1.0.5-1.mga2
+ Revision: 131283
- Clean spec file

  + gil <gil>
    - imported package jcoverage


* Sat Jun 11 2011 gil <gil> 1.0.5-0.%%mkrel
- initial rpm